import mongoose, { Schema, Document } from "mongoose";

interface ITodo extends Document {
  title: string;
  description: string;
  due_date: Date;
  createAt: Date;
  updateAt: Date;
  status: string;
}

const TodoSchema: Schema<ITodo> = new Schema({
  title: { type: String, required: true },
  description: { type: String, default: "" },
  due_date: { type: Date, required: true },
  createAt: { type: Date, default: Date.now },
  updateAt: { type: Date, default: Date.now },
  status: { type: String, enum: ["pending", "completed"], default: "pending" },
});

const Todo = mongoose.model<ITodo>("Todo", TodoSchema, "todos");

export { Todo, ITodo };
